{% assign number_of_comments = article.comments_count %}
{% capture date_format %} {{ 'general.date_format' | t }} {% endcapture %}
{% if comment and comment.created_at %}
  {% assign number_of_comments = article.comments_count | plus: 1 %}
{% endif %}

<div class="shopify-section">
  
  <article id="section-blog" class="site-box-container container--fullscreen box--can-stick" itemscope itemtype="http://schema.org/Article">
    
    <div class="site-box box--big lap--box--small-fl box--typo-big box--center-align box--column-flow box__heading article-square-image" data-order="0">


      {% if article.image %} 

        <span class="site-box-background with-image bg-image" aria-hidden="true" style="background-image:url({{ article.image.src | img_url: '480x540' }})"></span>
      
      {% endif %}

      {% if section.settings.site_sharing %}
        {% include 'social_sharing' %}
      {% endif %}

    </div>

    <div class="site-box article-content-right box--big lap--box--bigger box__text box--typo-big box--center-align box--column-flow scroll-movers-parent" data-order="1">

      <div class="site-box-content fix-me-with-margin">
        
      <div class="site-box-content title-and-info less-padding">
            
        <h1 class="title {% if article.image %} dark {% endif %}">
          {{ article.title }}
        </h1>
        
        
        {% if section.settings.meta_enable %}
          <ul class="meta no-bullets {% if article.image %} dark {% endif %}">
            <li class="author"><span itemprop="author">{{ 'blogs.article.author' | t: author: article.author }}</span></li>
            <li class="date">on <time datetime="{{ article.published_at | date: '%Y-%m-%d' }}" itemprop="datePublished">{{ article.published_at | time_tag: date_format }}</time></li>
            {% if blog.comments_enabled? and article.comments_count > 0 %}<li class="comments"><span itemProp="commentCount">{{ 'blogs.comments.comments_with_count' | t: count: number_of_comments }}</span></li>{% endif %}
          </ul>
        {% endif %}

      </div>
        {% if article.metafields["global"]["Color"] and article.metafields["global"]["Color"] != blank %}
        	{% assign article_color = article.metafields["global"]["Color"] %}
        {% else %}
        	{% assign article_color = "#D5E4C0" %}
        {% endif %}
        
         <span class="article-color" style="background-color:{{article_color}}"></span>
        
        <div class="rte" itemprop="articleBody">
          {{ article.content }}
        </div>

        {% unless article.tags == blank %}
          <div class="tags">
            <span class="title">{{ 'blogs.tags.title' | t }}</span>
            {% for tag in article.tags %}
              <span class="tag"><a href="{{ blog.url }}/tagged/{{ tag.handle }}">{{ tag }}</a></span>
            {% endfor %}
          </div>
        {% endunless %}

        {% if blog.next_article or blog.previous_article %}
          <p class="post-navigation">
            {% if blog.previous_article %}
              <a class="left" href="{{ blog.previous_article }}"> <span aria-hidden="true">{% include 'asset_svg' with 'arrow_icon_smaller' %}</span> {{ 'blogs.article.older_post' | t }} </a>
            {% endif %}
            {% if blog.next_article %}
              <a class="right" href="{{ blog.next_article }}">{{ 'blogs.article.newer_post' | t }} <span aria-hidden="true">{% include 'asset_svg' with 'arrow_icon_smaller' %}</span> </a>
            {% endif %}
          </p>
        {% endif %}
          
        {% if blog.comments_enabled? %}
          <div id="comments" class="comments">{% include 'article_comments' %}</div>
        {% endif %}

      </div>

    </div>
  
  </article>

</div>

{% if section.settings.site_sharing %}
  {% include 'social_sharing' %}
{% endif %}

{% schema %}
	{
    "name": "Article page",
    "class": "mount-article mount-images",
    "settings": [
      {
        "type": "checkbox",
        "id": "meta_enable",
        "default": true,
        "label": "Show author, date and comments"
      },
      {
        "type": "checkbox",
        "id": "site_sharing",
        "label": "Enable article sharing"
      }
    ]
   }
{% endschema %}

{{ 'blogposts_css.scss' | asset_url | stylesheet_tag }}
<style>
  
  .article-content-right .title-and-info{
    padding:0!important;
    padding-bottom:25px!important;
        width: 100%!important;
    max-width: 100%!important;
  }
  
  .article-content-right > .site-box-content{
    padding: 60px 20px !important;
	width:100%!important;
    max-width:100%!important;
  }
  
   
  .article-content-right > .site-box-content h1.title{
   
  }
  
  .article-content-right ul.meta.no-bullets.dark {
    display: flex!important;
  }
  .article-content-right ul.meta.no-bullets.dark .author {
     margin-right: 6px!important;
  }
  .article-content-right .article-color{
     width:14px;
     height:14px;
     background:#000;
        display: inline-block;
        margin-bottom: 5px;
  }

</style>